Get Trace
curl --request GET \
--url https://api.pandaprobe.com/traces/{trace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/traces/{trace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/traces/{trace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/traces/{trace_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "PENDING",
"input": null,
"output": null,
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"session_id": "<string>",
"user_id": "<string>",
"tags": [
"<string>"
],
"environment": "<string>",
"release": "<string>",
"spans": [
{
"span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "AGENT",
"status": "UNSET",
"input": null,
"output": null,
"model": "<string>",
"token_usage": {},
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"error": "<string>",
"completion_start_time": "<string>",
"model_parameters": {},
"cost": {},
"latency_ms": 123,
"time_to_first_token_ms": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Traces
Get Trace
Retrieve a single trace with all its spans.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
GET
/
traces
/
{trace_id}
Get Trace
curl --request GET \
--url https://api.pandaprobe.com/traces/{trace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/traces/{trace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/traces/{trace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/traces/{trace_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "PENDING",
"input": null,
"output": null,
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"session_id": "<string>",
"user_id": "<string>",
"tags": [
"<string>"
],
"environment": "<string>",
"release": "<string>",
"spans": [
{
"span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "AGENT",
"status": "UNSET",
"input": null,
"output": null,
"model": "<string>",
"token_usage": {},
"metadata": {},
"started_at": "<string>",
"ended_at": "<string>",
"error": "<string>",
"completion_start_time": "<string>",
"model_parameters": {},
"cost": {},
"latency_ms": 123,
"time_to_first_token_ms": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HTTPBearerApiKeyProjectIDProjectName
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Public trace representation (single-item detail).
High-level status of a trace.
Available options:
PENDING, RUNNING, COMPLETED, ERROR Show child attributes
Show child attributes

